<scenario begin="select">


    <screen type="selector/currency" title="SELECTATI VALOAREA DORITA" id="select" sound="select_nominal.mp3">
        <fields>
            <selector-field id="id2" title="Nominal">
                <items type="static">
                    <item value="0300" title="3 €" sum="3"/>
                    <item value="0400" title="4 €" sum="4"/>
                    <item value="0500" title="5 €" sum="5"/>
                    <item value="0600" title="6 €" sum="6"/>
                    <item value="0700" title="7 €" sum="7"/>
                    <item value="1000" title="10 €" sum="10"/>
                    <item value="1500" title="15 €" sum="15"/>
                    <item value="2000" title="20 €" sum="20"/>
                    <item value="3000" title="30 €" sum="30"/>                         
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title="INAINTE">
				<set key="id1" key-title="Produs" value="regular" value-title="Cod de reincarcare"/>
				<goto target="confirm"/>
            </action>
            <action type="Prev" title="INAPOI">
                <goto target="previous"/>
            </action>
            <action type="Exit" title="MENIU">
                <goto target="exit"/>
            </action>
            <action type="Edit" title="lyca_bundle.png;0x0EB14E">
                <redirect target="66" params="menu-item"/>
                <cancel/>
            </action>
        </actions>
    </screen>
    

    <screen type="confirm/comunal" title="PRODUSUL ALES" id="confirm" sound="validate_phone.mp3" message="&lt;html&gt;&lt;b&gt;&lt;center&gt;CODUL VA FI TIPARIT PE CHITANTA&lt;br&gt;Apasati INAINTE pentru a avansa.">
	  <fields list="id1,id2"/>
        <actions>
            <action type="Next" title="CONFIRMARE">
                <online-request type="default" function="verify" params="id1,id2">
                    <actions>
                        <action type="success">
                            <goto target="pay"/>
                        </action>
                        <action type="error">
                            <dialog type="Info" title="Error" message="Nu exista PIN-uri disponibile pentru acesta valoare" timeout="10" default="okay">
                                <actions>
                                    <action type="okay" title="OK">
                                        <goto target="select"/>
                                    </action>                                            
                                </actions>
                            </dialog>                            
                        </action>
                        <action type="exception">
                            <dialog type="Info" title="Error" message="Nu exista conexiune cu serverul" timeout="10" default="okay">
                                <actions>
                                    <action type="okay" title="OK">
                                        <cancel/>
                                    </action>                                            
                                </actions>
                            </dialog>
                        </action>
                    </actions>
                </online-request>                
            </action>
            <action type="Prev" title="INAPOI">
                <goto target="select"/>	                
            </action>
            <action type="Exit" title="MENIU">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>

	
    <screen type="Sum" sum="sum-trade"/>
    
</scenario>